%define major 5
%define libname %mklibname tiff %{major}
%define devname %mklibname tiff -d

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.0.6
Release:	1
License:	BSD-like
Group:		System/Libraries
Url:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
Patch0:		tiff-cvs20151227.patch
Patch1:		libtiff-CVE-2014-8128.patch
BuildRequires:	jbig-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(zlib)

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

#----------------------------------------------------------------------------

%package progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics

%description progs
This package provides binaries needed to manipulate TIFF format image files.

%files progs
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries

%description -n %{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%files -n %{libname}
%{_libdir}/libtiff.so.%{major}*
%{_libdir}/libtiffxx.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	tiff-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%files -n %{devname}
%doc installed_docs/*
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -q -n tiff-%{version}
%patch0 -p1
%patch1 -p0

# cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I . -I m4
automake --add-missing --copy
autoconf
autoheader

%build
export LDFLAGS="%{ldflags}"
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags}"

%configure2_5x --enable-ld-version-script

# the "JPEG 8/12 bit dual mode" is too messy..., maybe later?
# http://trac.osgeo.org/gdal/wiki/TIFF12BitJPEG
# --with-jpeg12-include-dir=
# --with-jpeg12-lib=

%make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}

rm -rf installed_docs

%makeinstall LIBTIFF_DOCDIR=`pwd`/installed_docs

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a


%changelog

* Tue Mar 08 2016 Denis Silakov <dsilakov@gmail.com> 4.0.6-1
- (77e2e67) Updated to 4.0.6 with upstream patchset from 20151227


